const Node = require('./node');
const NODE_TYPE = require('../../constant/relationship/node-type.constant');

describe('Node', () => {
  const node = new Node();

  it('should be valid for node type PERSON with correct label', () => {
    const label = {
      lastName: 'Perez',
      firstName: 'Hannah',
      email: 'hjperez@ucdavis.edu',
    };
    expect(node.validateLabel(NODE_TYPE.PERSON, label)).toBeTruthy();
  });

  it('should be valid for node type ROOM with correct label', () => {
    const label = {
      buildingName: 'Chemistry',
      roomNumber: '0020',
    };

    expect(node.validateLabel(NODE_TYPE.ROOM, label)).toBeTruthy();
  });
});
